%define upstream_name    local-lib
%define upstream_version 2.000029

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    create and use a local lib/ for perl modules with PERL5LIB
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/local/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildArch:  noarch

Provides:   perl(local::lib)

%description
This module provides a quick, convenient way of bootstrapping a user-local
Perl module library located within the user's home directory. It also
constructs and prints out for the user the list of environment variables
using the syntax appropriate for the user's current shell (as specified by
the 'SHELL' environment variable), suitable for directly adding to one's
shell configuration file.

More generally, local::lib allows for the bootstrapping and usage of a
directory containing Perl modules outside of Perl's '@INC'. This makes it
easier to ship an application with an app-specific copy of a Perl module,
or collection of modules. Useful in cases like when an upstream maintainer
hasn't applied a patch to a module of theirs that you need for your
application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# (tv) fix test:
rm -f t/de-dup.t
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.0.29-2.mga10
+ Revision: 2214552
- Mageia 10 Mass Rebuild

* Fri Apr 22 2022 tv <tv> 2.0.29-1.mga9
+ Revision: 1852680
- update to 2.000029

* Mon Mar 21 2022 umeabot <umeabot> 2.0.28-2.mga9
+ Revision: 1815085
- Mageia 9 Mass Rebuild

* Thu Oct 28 2021 tv <tv> 2.0.28-1.mga9
+ Revision: 1753035
- update to 2.000028

* Sat Oct 16 2021 tv <tv> 2.0.27-1.mga9
+ Revision: 1751831
- update to 2.000027

* Wed Feb 12 2020 umeabot <umeabot> 2.0.24-3.mga8
+ Revision: 1507165
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.24-2.mga7
+ Revision: 1287500
- Mageia 7 Mass Rebuild

* Tue Oct 24 2017 shlomif <shlomif> 2.0.24-1.mga7
+ Revision: 1173404
- update to 2.000024

* Tue Oct 03 2017 tv <tv> 2.0.23-2.mga7
+ Revision: 1165268
- rebuild with fixed rpm for missing autodeps

* Fri Sep 29 2017 tv <tv> 2.0.23-1.mga7
+ Revision: 1161516
- fix build
- new release

* Sun May 08 2016 shlomif <shlomif> 2.0.19-1.mga7
+ Revision: 1010828
- update to 2.000019

* Sat Jan 16 2016 shlomif <shlomif> 2.0.18-1.mga6
+ Revision: 924090
- update to 2.000018

* Mon Jun 22 2015 sander85 <sander85> 2.0.15-1.mga6
+ Revision: 839299
- update to 2.000015

* Wed Oct 15 2014 umeabot <umeabot> 2.0.14-3.mga5
+ Revision: 750674
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.14-2.mga5
+ Revision: 687040
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 2.0.14-1.mga5
+ Revision: 672065
- update to 2.000014

* Sat Aug 16 2014 sander85 <sander85> 2.0.13-1.mga5
+ Revision: 664224
- update to 2.000013

* Tue May 20 2014 jquelin <jquelin> 2.0.12-1.mga5
+ Revision: 624440
- update to 2.000012

* Tue Apr 15 2014 jquelin <jquelin> 2.0.11-1.mga5
+ Revision: 615063
- update to 2.000011

* Fri Mar 14 2014 jquelin <jquelin> 2.0.8-1.mga5
+ Revision: 603738
- update to 2.000008

* Sun Feb 09 2014 sander85 <sander85> 2.0.4-1.mga5
+ Revision: 587327
- update to 2.000004

* Mon Oct 21 2013 umeabot <umeabot> 1.8.18-2.mga4
+ Revision: 536968
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.8.18-1.mga4
+ Revision: 486037
- update to 1.008018

* Sat Sep 14 2013 sander85 <sander85> 1.8.17-1.mga4
+ Revision: 478905
- update to 1.008017

* Fri Sep 13 2013 sander85 <sander85> 1.8.16-1.mga4
+ Revision: 478698
- update to 1.008016

* Fri Sep 13 2013 sander85 <sander85> 1.8.15-1.mga4
+ Revision: 478469
- update to 1.008015

* Thu Sep 12 2013 sander85 <sander85> 1.8.13-1.mga4
+ Revision: 478028
- update to 1.008013

* Sat Jul 27 2013 sander85 <sander85> 1.8.11-1.mga4
+ Revision: 459096
- update to 1.008011

* Mon Jun 03 2013 jquelin <jquelin> 1.8.10-1.mga4
+ Revision: 436681
- update to 1.008010

* Sun Jan 13 2013 umeabot <umeabot> 1.8.4-3.mga3
+ Revision: 375496
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 1.8.4-2.mga2
+ Revision: 103977
- increase rel for rebuild

* Sat Feb 26 2011 jquelin <jquelin> 1.8.4-1.mga1
+ Revision: 60565
- update to 1.008004

* Wed Feb 16 2011 jquelin <jquelin> 1.8.1-1.mga1
+ Revision: 52213
- update to 1.008001

* Sun Jan 23 2011 jquelin <jquelin> 1.6.7-2.mga1
+ Revision: 34524
- mageia rebuild
- imported package perl-local-lib

